/*
 * ======================================================================
 * TestSupplier01.java:
 * ======================================================================
 */

package lambda;

import java.util.function.Supplier;
import java.util.function.IntSupplier;
import java.util.function.DoubleSupplier;

public class TestSupplier01 {
   public static void main(String[] args) {

      // Part 1: Test basic supplier ....

      System.out.printf("--- Part 1: Test basic supplier ...\n");

      Supplier<String> s = () -> "java2s.com";
      System.out.println( s.get() );

      // Part 2: Test int supplier ....

      System.out.printf("--- Part 2: Test int supplier ...\n");

      IntSupplier i = ()-> Integer.MAX_VALUE;
      System.out.println( i.getAsInt() );

      // Part 2: Test double supplier ....

      System.out.printf("--- Part 3: Test double supplier ...\n");

      DoubleSupplier pi = () -> {return 3.14d;};
      System.out.println(pi.getAsDouble());

   }
}
