/*
 *  ==================================================================
 *  TestCircle(): Exercise methods in the Circle class.
 *
 *  Written by: Mark Austin                                April, 2009
 *  ==================================================================
 */

package objects;

import java.lang.Math.*;

public class TestCircle {

    public static void main( String [] args ) {

       System.out.println("Exercise methods in class Circle");
       System.out.println("================================");

       Circle cA = new Circle();
       cA.setX(1.0);
       cA.setY(2.0);
       cA.setRadius(3.0);

       Circle cB = new Circle( 1.0, 2.0, 2.0 );

       System.out.printf("Circle cA : %s\n", cA.toString() );
       System.out.printf("Circle cA : Area = %5.2f\n", cA.getArea() );

       System.out.printf("Circle cB : %s\n", cB );
       System.out.printf("Circle cB : Area = %5.2f\n", cB.getArea() );
    }
}
