/*
 * =========================================================================
 * TestFunction03.java: 
 * =========================================================================
 */

package lambda;

import java.util.function.Function;

public class TestFunction03 {
   public static void main(String[] args) {

      Function<Integer,String> converter = (i)-> Integer.toString(i);
      Function<String, Integer>  reverse = (s)-> Integer.parseInt(s);

      System.out.printf("--- Part 1: Demonstrate converter.apply(3).length() ...\n");
   
      System.out.println( converter.apply(3).length() );

      System.out.printf("--- Part 2: Demonstrate converter.andThen(reverse).apply(30).byteValue() ...\n");

      System.out.println( converter.andThen(reverse).apply(30).byteValue() );
  }
}
