/*
 *  =============================================================
 *  Rectangle.java: Test Program for Rectangle and Circle Shapes.
 *  =============================================================
 */

package shapes;

import java.lang.Math;

public class Rectangle extends Shape {
      double dSide1, dSide2;
   
      public Rectangle ( double dSide1, double dSide2, double dX, double dY ) {
            this.dSide1 = dSide1;
            this.dSide2 = dSide2;

            c.dX = dX;
            c.dY = dY;
      }

      public String toString() {
            return "Rectangle : Side1 = " + dSide1 + " Side2 = " + dSide2 ;
      }

      public double perimeter() {
            return 2.0*(dSide1 + dSide2);
      }

      public double area() {
            return dSide1*dSide2;
      }
}

